Bug 517475 - geode not i686 arch in rpmrc.in
Summary: geode not i686 arch in rpmrc.in
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F12Beta, F12BetaBlocker 518415
TreeView+ depends on / blocked
 
Reported: 2009-08-14 09:25 UTC by Peter Robinson
Modified: 2013-01-10 05:25 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-19 18:00:51 UTC
Type: ---


Attachments (Terms of Use)

Description Peter Robinson 2009-08-14 09:25:18 UTC
As part of the move to i686 it was agreed that geode would be classed as i686 as it has cmov and it would be then supported as part of the mass recompile move to i686

Details are mentioned in the feature here:
https://fedoraproject.org/wiki/Features/F12X86Support

Bill Nottingham mentioned here what was required for the support and evening included a patch.
http://www.redhat.com/archives/fedora-devel-list/2009-June/msg01641.html

I don't see the patch in rpm 4.7.1 nor as a custom patch to rawhide's rpm. 

What's more i've just tried to upgrade my Fit-PC gen 1 which has a Geode LX and it doesn't work and only shows noarch packages to upgrade.

This is an issue as its a pretty major change to x86 support and was discussed extensively on the list and is part of the requirement of the feature. It also means that the OLPC-XO is unsupported. I'm adding this as a alpha blocker as a result.

Comment 1 Jesse Keating 2009-08-14 16:57:42 UTC
I'm doing a build of rpm with the patch that notting posted.  Testing it would be great, then we can stick it in the Alpha RC I'm composing today.

Comment 2 Peter Robinson 2009-08-14 17:00:35 UTC
Jesse let me know when its built and I'll test it on my Fit-PC Geode box. That's the box where I discovered the issue when testing this morning.

Comment 3 James Laska 2009-08-14 17:13:38 UTC
Greetings Peter,

You can track the build that contains this fix at http://koji.fedoraproject.org/koji/taskinfo?taskID=1605441.

If you can provide test feedback, that would be appreciated!

Comment 4 Peter Robinson 2009-08-14 18:35:23 UTC
Hi All,

Partial success. I think there might need to be an update to yum as well.

A plain i686 rpm works fine. Using a random package I maintain that i know has fairly basic requirements installed fine. It previously complained about architecture and to install rpm I had to use --ignorearch to override it.

[root@cypher ~]# rpm -Uvh ftp://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/libccss-0.3.1-3.fc12.i686.rpm
Retrieving ftp://www.mirrorservice.org/sites/download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/libccss-0.3.1-3.fc12.i686.rpm
warning: /var/tmp/rpm-tmp.pQcR9M: Header V3 RSA/SHA1 signature: NOKEY, key ID 57bbccba
Preparing...                ########################################### [100%]
   1:libccss                ########################################### [100%]

But once I've upgraded rpm if I do a 'yum upgrade yum* rpm* python*' I only get noarch packages.

[root@cypher ~]# yum upgrade yum* rpm* python*
Loaded plugins: dellsysidplugin2, fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * rawhide: mirror.sov.uk.goscomb.net
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package python-bugzilla.noarch 0:0.5.1-3.fc12 set to be updated
---> Package python-decorator.noarch 0:3.0.1-3.fc12 set to be updated
---> Package python-decoratortools.noarch 0:1.7-4.fc12 set to be updated
---> Package python-iniparse.noarch 0:0.3.0-3.fc12 set to be updated
---> Package python-offtrac.noarch 0:0.0.2-1.fc12 set to be updated
---> Package python-paste.noarch 0:1.7.2-4.fc12 set to be updated
---> Package python-slip.noarch 0:0.1.15-4.fc12 set to be updated
---> Package python-slip-dbus.noarch 0:0.1.15-4.fc12 set to be updated
---> Package python-slip-gtk.noarch 0:0.1.15-4.fc12 set to be updated
---> Package python-sqlalchemy.noarch 0:0.5.4-2.p2.fc12 set to be updated
---> Package python-urlgrabber.noarch 0:3.9.0-4.fc12 set to be updated
---> Package rpmdevtools.noarch 0:7.3-2.fc12 set to be updated
---> Package rpmlint.noarch 0:0.90-2.fc12 set to be updated
---> Package yum.noarch 0:3.2.23-13.fc12 set to be updated
---> Package yum-plugin-fastestmirror.noarch 0:1.1.22-3.fc12 set to be updated
---> Package yum-utils.noarch 0:1.1.22-3.fc12 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================================================================================
 Package                                              Arch                               Version                                       Repository                           Size
=================================================================================================================================================================================
Updating:
 python-bugzilla                                      noarch                             0.5.1-3.fc12                                  rawhide                              59 k
 python-decorator                                     noarch                             3.0.1-3.fc12                                  rawhide                              13 k
 python-decoratortools                                noarch                             1.7-4.fc12                                    rawhide                              25 k
 python-iniparse                                      noarch                             0.3.0-3.fc12                                  rawhide                              34 k
 python-offtrac                                       noarch                             0.0.2-1.fc12                                  rawhide                              13 k
 python-paste                                         noarch                             1.7.2-4.fc12                                  rawhide                             518 k
 python-slip                                          noarch                             0.1.15-4.fc12                                 rawhide                              17 k
 python-slip-dbus                                     noarch                             0.1.15-4.fc12                                 rawhide                              17 k
 python-slip-gtk                                      noarch                             0.1.15-4.fc12                                 rawhide                             7.8 k
 python-sqlalchemy                                    noarch                             0.5.4-2.p2.fc12                               rawhide                             982 k
 python-urlgrabber                                    noarch                             3.9.0-4.fc12                                  rawhide                              89 k
 rpmdevtools                                          noarch                             7.3-2.fc12                                    rawhide                              79 k
 rpmlint                                              noarch                             0.90-2.fc12                                   rawhide                             155 k
 yum                                                  noarch                             3.2.23-13.fc12                                rawhide                             587 k
 yum-plugin-fastestmirror                             noarch                             1.1.22-3.fc12                                 rawhide                              15 k
 yum-utils                                            noarch                             1.1.22-3.fc12                                 rawhide                              69 k

Transaction Summary
=================================================================================================================================================================================
Install      0 Package(s)         
Update      16 Package(s)         
Remove       0 Package(s)         

Total download size: 2.6 M
Is this ok [y/N]: n
Exiting on user Command
Complete!

Comment 5 James Laska 2009-08-19 11:55:25 UTC
Thanks for the feedback Peter!  It appears this isn't just a quick fix for the Alpha and this will require further review as it could potentially impact other components.

Jesse, should this issue remain in MODIFIED and a new bug filed against yum?

Comment 6 Peter Robinson 2009-08-19 12:01:20 UTC
Thanks for the update James. Its a pity it wasn't picked up earlier. Let me know if you need anything further from my end, need me to file a bug for yum etc.

Comment 7 Peter Robinson 2009-08-19 12:07:16 UTC
Actually doing a grep through the yum git repo its basically the same change as was done for rpm:

rpmUtils/arch.py

arches = {
    # ia32
    "athlon": "i686",
    "i686": "i586",
    "geode": "i586",
    "i586": "i486",
    "i486": "i386",
    "i386": "noarch",

Comment 8 Jesse Keating 2009-08-19 18:00:51 UTC
This bug, the one against RPM, should be closed rawhide.  A new bug needs to be opened against yum, and any other packaging tools that may have their own copies of this information.


Note You need to log in before you can comment on or make changes to this bug.